package com.yccrc.kede.enums;

/**
 * @author zhiqiang.peng
 * @date 2023/8/31
 */
public enum EntIndustryTypeEnum {

    LASER(1, "激光"),
    NEW_DISPLAY(2, "新型显示"),
    NEW_MOBILE(3, "新一代移动通信"),
    CNC_MACHINE_TOOL(4, "数控机床"),
    GEOSPATIAL_INFO(5, "地球空间信息"),
    SCALE(6, "半导体及规模集成电路"),
    OUTSOURCING(7, "软件及服务外包"),
    ENERGY(8, "新能源"),
    MATERIAL(9, "新材料"),
    POWER(10, "新动力汽车"),
    BIOMEDICINE(11, "生物医药"),
    MODERN_LOGISTICS(12, "现代物流"),
    ANIME(13, "动漫"),
    PROTECTION(14, "节能环保装备"),
    FINANCIAL(15, "金融服务");

    private Integer code;
    private String desc;

    EntIndustryTypeEnum(Integer code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    EntIndustryTypeEnum() {
    }

    public static String getParse(Integer code) {
        if (code == null) {
            return "";
        }
        for (EntIndustryTypeEnum value : EntIndustryTypeEnum.values()) {
            if (value.getCode() == code) {
                return value.getDesc();
            }
        }
        return "";
    }

    public Integer getCode() {
        return code;
    }

    public String getDesc() {
        return desc;
    }

}
